Bug 626583 - Fixed width table misaligned with align="center"
Fixed width table misaligned with align="center"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: webkitgtk (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-23 17:09 EDT by Debarshi Ray
Modified: 2013-02-04 06:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 06:16:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
WebKit Project 44462 None None None Never

  None (edit)
Description Debarshi Ray 2010-08-23 17:09:21 EDT
Description of problem:

http://www.flumotion.com/first_webm_live_event.php is not rendered correctly in Epiphany, Midori and Chromium. Firefox does render it properly.


Version-Release number of selected component (if applicable):

webkitgtk-1.2.0-1.fc13.x86_64
Comment 1 Martin Sourada 2010-08-23 17:58:20 EDT
I can't say what actually is the correct behaviour, but from experimenting with web inspector it looks like problem with <table align="center">. The parent element is 1000px wide and the table is getting centered with respect to that. Other align settings seems to work as expected... Oh, and I can reproduce it with 1.2.3 as well as arora (using [qt]webkit 532.4, or so it says...). If it's indeed a bug in webkit (and not combination of bug in firefox and page exploiting that bug in firefox), it definitely calls for submitting it upstream.
Comment 2 Kevin Fenzi 2010-08-23 18:24:46 EDT
I see the same thing here with midori git head and webkit 1.3.2 in F14branched. 
:(
Comment 3 Martin Sourada 2010-08-23 19:19:57 EDT
Filled upstream as:
https://bugs.webkit.org/show_bug.cgi?id=44462
Comment 4 Kevin Fenzi 2010-09-11 14:45:34 EDT
Looks like this works ok in 1.3.3. ;) 

I don't know about the 1.2.4 version I just pushed for f12/f13. 

If you guys are on f12/f13: 

yum --enablerepo=updates-testing update webkitgtk\*

and see if 1.2.4 fixes it. 

If you are on f14: 

Test this scratch build of 1.3.3: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=2460974

(note that this also has JIT enabled). 

I am not seeing the problem now with the above 1.3.3 build.
Comment 5 Martin Sourada 2010-09-11 19:08:38 EDT
Apparently, the mentioned page changed since then. However the bug is still present, see the minial test case attached to the upstream bug.

Tested on: webkitgtk-1.3.2-2.fc14.i686
Comment 6 Kevin Fenzi 2010-09-11 20:31:56 EDT
Oops. Sorry about that... you're quite right. ;( 

The test case here still shows in the middle of the page with 1.3.3 even.
Comment 7 Fedora Admin XMLRPC Client 2011-03-15 13:19:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Bug Zapper 2011-06-01 06:42:31 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Martin Sourada 2011-06-01 06:57:45 EDT
Still present in upstream as well as fedora (see the referenced upstream bug which has a minimal test case). Also changing the description to better convey what's actually wrong.
Comment 10 Martin Sourada 2013-02-04 06:16:39 EST
Just as mentioned in the upstream bug report, this works correctly now (webkitgtk-1.10.2-1.fc18.i686). Closing as fixed.

Note You need to log in before you can comment on or make changes to this bug.